package com.platform.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.platform.entities.DataInfoEntity;
import com.platform.form.PagerOptions;

@Repository(value = "dataInfoDao")
public interface DataInfoDao {

	int getLimitedDataCount(PagerOptions pagerOptions);

	int getLimitedBeginId(PagerOptions pagerOptions);

	List<DataInfoEntity> getLimitedDataInfoEntities(PagerOptions pagerOptions);
	
	List<DataInfoEntity> getLimitedDataInfoByPage(PagerOptions pagerOptions);

	List<String> getIdIsExist(List<Integer> list)throws Exception;
	
	List<DataInfoEntity> findAll()throws Exception;
	
	DataInfoEntity findById(int id)throws Exception;
	
	List<DataInfoEntity> findByParam(DataInfoEntity data)throws Exception;
	
	int countByDataPath(DataInfoEntity data)throws Exception;
	
	int removes(List<Integer> list)throws Exception;
	
	int save(DataInfoEntity data) throws Exception;
	
	int update(DataInfoEntity data) throws Exception;
	
	int updateExtract(DataInfoEntity data) throws Exception;

}
